Page MenuHomePhabricator

Use 'modules' and 'moduleStyles' keys in FlowActions to stop loading javascript on pages that are supposed to be no-javascript only
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterDon't serve JS except on 'view' or 'history'

Event Timeline

EBernhardson raised the priority of this task from to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2015, 8:06 PM
Catrope set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 8 2015, 8:59 PM
EBernhardson triaged this task as High priority.Apr 9 2015, 5:57 PM
EBernhardson lowered the priority of this task from High to Medium.

Change 288564 had a related patch set uploaded (by Mattflaschen):
Don't serve JS except on 'view' or 'history'

https://gerrit.wikimedia.org/r/288564

I disagree that those pages are supposed to be no-javascript only. Opening a link in a new tab or window is a basic feature of web technologies that most websites (and SPAs) support beautifully and that users take for granted.

That being said, I agree with the proposed solution. I much prefer a simple experience that works to a fancy experience that is frequently broken.

Change 288564 merged by jenkins-bot:
Don't serve JS except on 'view' or 'history'

https://gerrit.wikimedia.org/r/288564

Checked in betalabs

  • opening Flow page links (incl menu) in a different tab/window will display noJS text area -no editing icons (VE/wikitext) but no JS errors

The screenshot shows:
Right click on 'Edit post' will display noJS text area without icons. Reply area displays the 'Reply' label as a link.


Clicking on 'Reply to' link will display also text area without the editing icons:

  • the functionality was tested and seems to unaffected
  • there are some edge minor cases( listed below) that may raise some usability concerns.
  • right-click Echo messages (primary link and other links) brings normal JS pages

Edge cases:

  1. Right -clicking on the watch icon (the star - flow-unwatch mw-ui-icon or flow-watch) will display the topic title id instead of the topic title. The regular watchlist UI does not display topic ids.


  1. It's possible to right-click on just the dotdotdot menu itself - flow-menu-js-drop - which will open about:blank page
  1. Right-click on 'Thanks' will bring up Special:Thanks page, e.g. http://en.wikipedia.beta.wmflabs.org/wiki/Special:Thanks/Flow/t4ih2q66pn26t
jmatazzoni closed this task as Resolved.May 31 2016, 3:44 PM
jmatazzoni added a subscriber: jmatazzoni.

It's possible to right-click on just the dotdotdot menu itself ..

Reminds me of the old joke:

Man: "Doctor, it hurts when I do this."
Doctor: "Don't do that."

Which is to say, I think we can live with the described behavior. If anyone sees this differently, please reopen the ticket. Thanks for your thorough checking @Etonkovidova.